Status of running IDEA 4.5.4 on 1.5 JRE?

Sorry if this has been posted elsewhere, I couldn't find an up to date, complete response:

What's the status of running IDEA 4.5.4 on JRE 1.5? I think it's still not officially supported, but is there anyone out there who's been able to get it to work successfully or are there issues I should be aware of?

I'd like to run on 1.5 b/c I hear GC is much better and that seems to be the source of frequent annoying pauses I get when I save my large project.

I've set the lax.nl.current.vm to the location of my jdk 1.5 vm and added -Didea.no.jdk.check=true to my idea.lax. Anything else I should do? I'm running IDEA on Linux, if that helps.

3 comments
Comment actions Permalink

Intellij does not run with JRE 1.5.

0
Comment actions Permalink

Sorry for the earlier post. IntelliJ DOES run with JRE 1.5, but is it 100% compatible ?

0
Comment actions Permalink

OK, from my experience it looks like it will run (and seems a bit snappier too!). However, many of the refactorings just don't work. In particular, Pull/Push Members definitely doesn't. You select the menu item and nothing happens. Many of the others seem to work fine, but those two do not.

0

Please sign in to leave a comment.